Notifications
Compozy Notifications HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
/api/notifications/presetsQuery Parameters
Filter by enabled state
Filter by built-in state
Filter by exact preset name
Maximum number of presets to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/notifications/presets"{ "generated_at": "2019-08-24T14:15:22Z", "presets": [ { "built_in": true, "created_at": "2019-08-24T14:15:22Z", "default_hash": "string", "default_update_available": true, "default_version": "string", "enabled": true, "events": [ "string" ], "filter": "string", "name": "string", "targets": [ { "bridge_id": "string", "canonical_route": "string", "delivery_mode": "string", "display_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "user_modified": true } ], "total": 0}/api/notifications/presetsRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/notifications/presets" \ -H "Content-Type: application/json" \ -d '{ "enabled": true, "events": [ "string" ], "name": "string", "targets": [ { "bridge_id": "string" } ] }'{ "preset": { "built_in": true, "created_at": "2019-08-24T14:15:22Z", "default_hash": "string", "default_update_available": true, "default_version": "string", "enabled": true, "events": [ "string" ], "filter": "string", "name": "string", "targets": [ { "bridge_id": "string", "canonical_route": "string", "delivery_mode": "string", "display_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "user_modified": true }}/api/notifications/presets/{name}Path Parameters
Notification preset name
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/notifications/presets/string"{ "preset": { "built_in": true, "created_at": "2019-08-24T14:15:22Z", "default_hash": "string", "default_update_available": true, "default_version": "string", "enabled": true, "events": [ "string" ], "filter": "string", "name": "string", "targets": [ { "bridge_id": "string", "canonical_route": "string", "delivery_mode": "string", "display_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "user_modified": true }}/api/notifications/presets/{name}Path Parameters
Notification preset name
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/notifications/presets/string"/api/notifications/presets/{name}Path Parameters
Notification preset name
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/notifications/presets/string" \ -H "Content-Type: application/json" \ -d '{}'{ "preset": { "built_in": true, "created_at": "2019-08-24T14:15:22Z", "default_hash": "string", "default_update_available": true, "default_version": "string", "enabled": true, "events": [ "string" ], "filter": "string", "name": "string", "targets": [ { "bridge_id": "string", "canonical_route": "string", "delivery_mode": "string", "display_name": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "user_modified": true }}